ECalView
3
LIBECAL Library

# ECalView

Represents a search against a calendar.

## Synopsis

                ECal;
    #define     E_CAL_VIEW                      (obj)
    #define     E_CAL_VIEW_CLASS                (klass)
    GType       e_cal_view_get_type             (void);
    ECalView*   e_cal_view_new                  (GNOME_Evolution_Calendar_CalView corba_view,
                                                 ECalViewListener *listener,
                                                 struct _ECal *client);

## Object Hierarchy

      GObject
       +----ECal

## Signals

    "backend-died"
                void        user_function      (ECal    *ecal,
                                                gpointer user_data)      : Run first
    "backend-error"
                void        user_function      (ECal    *ecal,
                                                gchar   *arg1,
                                                gpointer user_data)      : Run first
    "cal-opened"
                void        user_function      (ECal    *ecal,
                                                gint     arg1,
                                                gpointer user_data)      : Run first
    "cal-set-mode"
                void        user_function      (ECal                  *ecal,
                                                ECalSetModeStatusEnum *arg1,
                                                CalModeEnum           *arg2,
                                                gpointer               user_data)      : Run first

## Description

In the same way that an EBookView represents a view of an addressbook, the ECalView is a view of the ECal.

## Details

### ECal

    typedef struct _ECal ECal;

### E_CAL_VIEW()

    #define E_CAL_VIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), E_TYPE_CAL_VIEW, ECalView))

`obj` :

### E_CAL_VIEW_CLASS()

    #define E_CAL_VIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), E_TYPE_CAL_VIEW, ECalViewClass))

`klass` :

### e_cal_view_get_type ()

    GType       e_cal_view_get_type             (void);

Registers the ECalView class if necessary, and returns the type ID assigned to it.

Returns :

  The type ID of the ECalView class.

### e_cal_view_new ()

    ECalView*   e_cal_view_new                  (GNOME_Evolution_Calendar_CalView corba_view,
                                                 ECalViewListener *listener,
                                                 struct _ECal *client);

Creates a new view object by issuing the view creation request to the calendar server.

`corba_view` :

  The CORBA object for the view.

`listener` :

  An ECalViewListener.

`client` :

  An ECal object.

Returns :

  A newly-created view object, or NULL if the request failed.

## Signal Details

### The "backend-died" signal

    void        user_function                  (ECal    *ecal,
                                                gpointer user_data)      : Run first

@:

### The "backend-error" signal

    void        user_function                  (ECal    *ecal,
                                                gchar   *arg1,
                                                gpointer user_data)      : Run first

@: @:

### The "cal-opened" signal

    void        user_function                  (ECal    *ecal,
                                                gint     arg1,
                                                gpointer user_data)      : Run first

@: @:

### The "cal-set-mode" signal

    void        user_function                  (ECal                  *ecal,
                                                ECalSetModeStatusEnum *arg1,
                                                CalModeEnum           *arg2,
                                                gpointer               user_data)      : Run first

@: @: @:

## See Also

e-cal, e-cal-view-listener